--- perl-5.8.8.orig/cflags.SH
+++ perl-5.8.8/cflags.SH
@@ -109,7 +109,13 @@
     pp) ;;
     pp_ctl) ;;
     pp_hot) ;;
-    pp_pack) ;;
+    pp_pack)
+	case $archname in
+	    arm-*|armeb-*)
+		optimize=-Os;;
+	    hppa-*|mips*-*)
+		optimize="$optimize -fno-delayed-branch";;
+	esac;;
     pp_sys) ;;
     regcomp) ;;
     regexec) ;;
--- perl-5.8.8.orig/Configure
+++ perl-5.8.8/Configure
@@ -1289,8 +1289,7 @@
 
 : List of libraries we want.
 : If anyone needs extra -lxxx, put those in a hint file.
-libswanted="sfio socket bind inet nsl nm ndbm gdbm dbm db malloc dl dld ld sun"
-libswanted="$libswanted m crypt sec util c cposix posix ucb bsd BSD"
+libswanted='gdbm gdbm_compat db dl m c crypt'
 : We probably want to search /usr/shlib before most other libraries.
 : This is only used by the lib/ExtUtils/MakeMaker.pm routine extliblist.
 glibpth=`echo " $glibpth " | sed -e 's! /usr/shlib ! !'`
@@ -4776,19 +4775,19 @@
 			echo "Nope, it doesn't, but that's ok." 2>&1
 		fi
 
-		echo "Checking if your compiler accepts -Wdeclaration-after-statement" 2>&1
-		echo 'int main(void) { return 0; }' > gcctest.c
-		if $cc -Wdeclaration-after-statement -o gcctest gcctest.c; then
-			echo "Yes, it does." 2>&1
-			case "$ccflags" in
-			*-Wdeclaration-after-statement*)
-				echo "Leaving current flags $ccflags alone." 2>&1
-				;;
-			*) dflt="$dflt -Wdeclaration-after-statement" ;;
-			esac
-		else
-			echo "Nope, it doesn't, but that's ok." 2>&1
-		fi
+#		echo "Checking if your compiler accepts -Wdeclaration-after-statement" 2>&1
+#		echo 'int main(void) { return 0; }' > gcctest.c
+#		if $cc -Wdeclaration-after-statement -o gcctest gcctest.c; then
+#			echo "Yes, it does." 2>&1
+#			case "$ccflags" in
+#			*-Wdeclaration-after-statement*)
+#				echo "Leaving current flags $ccflags alone." 2>&1
+#				;;
+#			*) dflt="$dflt -Wdeclaration-after-statement" ;;
+#			esac
+#		else
+#			echo "Nope, it doesn't, but that's ok." 2>&1
+#		fi
 		;;
 	esac
 	;;
@@ -20024,7 +20023,7 @@
 eval $inhdr
 
 : see if ndbm.h is available
-set ndbm.h t_ndbm
+set gdbm-ndbm.h t_ndbm
 eval $inhdr
 
 case "$t_ndbm" in
@@ -20875,7 +20874,7 @@
     ;;
 *) case "$usedl" in
     $define|true|[yY]*)
-	    set X `echo " $libs " | sed -e 's@ -lndbm @ @' -e 's@ -lgdbm @ @' -e 's@ -ldbm @ @' -e 's@ -ldb @ @'` 
+	    set X `echo " $libs " | sed -e 's@ -lgdbm @ @' -e 's@ -lgdbm_compat @ @' -e 's@ -ldb @ @'` 
 	    shift
 	    perllibs="$*"
 	    ;;

